org.eclipse.emf.facet.custom.metamodel.v0_3_0.query

## Interface QueryFactory

    public interface QueryFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  0.3
See Also:
  `QueryPackage`
Generated:

### Field Summary

Fields
`static QueryFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`URIImageQuery` `createURIImageQuery()` Returns a new object of class 'URI Image Query'.
`QueryPackage` `getQueryPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final QueryFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createURIImageQuery

    URIImageQuery createURIImageQuery()

Returns a new object of class 'URI Image Query'.

Returns:
  a new object of class 'URI Image Query'.
Generated:

#### getQueryPackage

    QueryPackage getQueryPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: